## python-aemet-opendata 0.5.3

=== requirements.txt ===
aiohttp>=3.9.0b0;python_version>='3.12'
aiohttp<=3.8.5;python_version<'3.12'
geopy

=== debian/changelog ===
python-aemet-opendata (0.5.3-3) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Fix d/watch to detect v0.6.4

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Nov 2025 21:03:46 +0100

python-aemet-opendata (0.5.3-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jul 2024 03:30:40 +0200

python-aemet-opendata (0.5.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1076980)

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 15:01:11 +0200

=== debian/control ===
Source: python-aemet-opendata
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-geopy,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aemet-opendata
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aemet-opendata.git
Homepage: https://github.com/Noltari/AEMET-OpenData

Package: python3-aemet-opendata
Architecture: all
Depends:
 python3-aiohttp,
 python3-geopy,
 ${misc:Depends},
 ${python3:Depends},
Description: AEMET OpenData Rest API library
 AEMET-OpenData is a Python module implementing an interface to the AEMET
 OpenData Rest API. It allows a user to gather all the public weather
 information from AEMET (Agencia Estatal de Meteorología).

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/Noltari/AEMET-OpenData
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/AEMET-OpenData/aemet_opendata-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
